## Filesystem utilities Filesystem utilities |

## Functions

GMountOperation * | gtk_mount_operation_new ()
gboolean | gtk_mount_operation_is_showing ()
void | gtk_mount_operation_set_parent ()
GtkWindow * | gtk_mount_operation_get_parent ()
void | gtk_mount_operation_set_screen ()
GdkScreen * | gtk_mount_operation_get_screen ()
gboolean | gtk_show_uri ()

## Properties

gboolean | is-showing | Read
GtkWindow * | parent | Read / Write
GdkScreen * | screen | Read / Write

## Types and Values

struct | GtkMountOperation

## Object Hierarchy

        GObject
        ╰── GMountOperation
            ╰── GtkMountOperation

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_mount_operation_new ()

    GMountOperation *
    gtk_mount_operation_new (GtkWindow *parent);

Since: 2.14

### gtk_mount_operation_is_showing ()

    gboolean
    gtk_mount_operation_is_showing (GtkMountOperation *op);

Since: 2.14

### gtk_mount_operation_set_parent ()

    void
    gtk_mount_operation_set_parent (GtkMountOperation *op,
                                    GtkWindow *parent);

Since: 2.14

### gtk_mount_operation_get_parent ()

    GtkWindow *
    gtk_mount_operation_get_parent (GtkMountOperation *op);

Since: 2.14

### gtk_mount_operation_set_screen ()

    void
    gtk_mount_operation_set_screen (GtkMountOperation *op,
                                    GdkScreen *screen);

Since: 2.14

### gtk_mount_operation_get_screen ()

    GdkScreen *
    gtk_mount_operation_get_screen (GtkMountOperation *op);

Since: 2.14

### gtk_show_uri ()

    gboolean
    gtk_show_uri (GdkScreen *screen,
                  const gchar *uri,
                  guint32 timestamp,
                  GError **error);

Since: 2.14

## Types and Values

### struct GtkMountOperation

    struct GtkMountOperation;

## Property Details

### The `“is-showing”` property

      “is-showing”               gboolean

Are we showing a dialog.

Flags: Read

Default value: FALSE

### The `“parent”` property

      “parent”                   GtkWindow *

The parent window.

Flags: Read / Write

### The `“screen”` property

      “screen”                   GdkScreen *

The screen where this window will be displayed.

Flags: Read / Write